﻿using System.Text;
using System.Windows;
using System.Windows.Controls;

/*
 *         Progetto: CodificheSegnale
 * 
 *           Autore: Roberto Fuligni
 *  Ultima modifica: 11/10/2017
 *  
 *      Descrizione: Classe del segnale di clock. 
 */

namespace CodificheSegnale
{
    public class SegnaleClock : Segnale
    {
        public const string tipoClock = "HL";   // Attivo-alto

        public SegnaleClock(Canvas area, Point origine, int altezza) : base(area, origine, altezza, "CLOCK")
        {
            bufferLivelli = "";
            mostraSimboli = false;
        }

        public override void Codifica(string sequenza)
        {
            StringBuilder sb = new StringBuilder();

            for (int i = 0; i < sequenza.Length; i++)
                sb.Append(SegnaleClock.tipoClock);

            bufferLivelli = sb.ToString();
        }

        public override void Disegna()
        {
            for (int i = 0; i <= bufferLivelli.Length / 2; i++)
            {
                Point p = new Point(origine.X + i * 2 * pixelSemiperiodo, origine.Y);
                Segnale.TracciaLinea(area, p, Point.Add(p, new Vector(0, 3 * altezza)), 1,
                    System.Windows.Media.Brushes.Black, true);
                //area.DrawLine(pennaTratteggio, p, Point.Add(p, new Size(0, 3 * altezza)));

            }
            base.Disegna();
        }

    }
}
